Subject: bug#15900: 24.3.50; foreground-color-at-point returns wrong results

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Nov 2013 19:21:47 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 17 Nov 2013 06:35:03 +0100
> 
> For your solution, I can use a different predicate, but would still have
> to find all faces at point, no?  What do I miss?

I don't know, and I don't know what am I missing, either.

When you say "all the faces at point", what exactly do you mean by
that?  There can only be one 'face' text property at point, so do you
mean faces that come from overlays?  If that is what you mean, then
why isn't get-char-property all you need to have your answer?  I feel
I'm missing something very basic here.